package apirequest

import (
	"context"
	"github.com/zeromicro/go-zero/core/logx"
	"tianyuan-api/apps/mqs/internal/svc"
)

type Charge struct {
	ctx    context.Context
	svcCtx *svc.ServiceContext
}

func NewCharge(ctx context.Context, svcCtx *svc.ServiceContext) *Charge {
	return &Charge{
		ctx:    ctx,
		svcCtx: svcCtx,
	}
}

func (l *Charge) Consume(ctx context.Context, key, val string) error {
	logx.Infof("Charge key :%s , val :%s", key, val)
	return nil
}
